<?php


namespace Addons\No9Theme\Http\Controllers\Api;


use App\Http\Controllers\Api\V2\BaseController;
use App\Services\Other\Models\Announcement;

class AnnouncementController extends BaseController
{
    public function index()
    {
        $announcements = Announcement::orderByDesc('id')->select('id', 'title')->paginate(request()->input('size', 6));

        return $this->data($announcements);
    }

    public function show($id)
    {
        $info = Announcement::findOrFail($id);

        return $this->data($info);
    }

}