<?php

/*
 * This file is part of the Qsnh/meedu.
 *
 * (c) XiaoTeng <616896861@qq.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace Addons\No9Theme\No9Core\Payment\HandPay;

use Addons\No9Theme\No9Core\Payment\Contract\Payment;
use Addons\No9Theme\No9Core\Payment\Contract\PaymentStatus;

class HandPay implements Payment
{
    public function create(array $order, array $extra = []): PaymentStatus
    {
        $response = redirect(route('order.pay.handPay', [$order['order_id']]));
        return new PaymentStatus(true, $response);
    }

    public function query(array $order): PaymentStatus
    {
    }

    public function callback()
    {
    }

    public static function payUrl(array $order): string
    {
        return route('order.pay.handPay', [$order['order_id']]);
    }
}
